//时间：20200610
//作者：郝爽
//功能：测量结果文件
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MeasureData
{
    class ResultFile
    {
        #region 内容
        //切割点
        private CutHole m_cutHole;

        public CutHole CutHole
        {
            get { return this.m_cutHole; }
            set { this.m_cutHole = value; }
        }

        //数据库路径
        private string m_DBPath;

        public string DBPath
        {
            get { return this.m_DBPath; }
            set { this.m_DBPath = value; }
        }
        //图1路径
        private string m_Image1Path;

        public string Image1Path
        {
            get { return this.m_Image1Path; }
            set { this.m_Image1Path = value; }
        }
        //图2路径
        private string m_Image2Path;

        public string Image2Path
        {
            get { return this.m_Image2Path; }
            set { this.m_Image2Path = value; }
        }
        //图3路径
        private string m_Image3Path;

        public string Image3Path
        {
            get { return this.m_Image3Path; }
            set { this.m_Image3Path = value; }
        }
        //图4路径
        private string m_Image4Path;

        public string Image4Path
        {
            get { return this.m_Image4Path; }
            set { this.m_Image4Path = value; }
        }
        //自动调焦路径
        private string m_AutoFocusPath;

        public string AutoFocusPath
        {
            get { return this.m_AutoFocusPath; }
            set { this.m_AutoFocusPath = value; }
        }
        //自动消像散路径
        private string m_AutoSitgaPath;

        public string AutoSitgaPath
        {
            get { return this.m_AutoSitgaPath; }
            set { this.m_AutoSitgaPath = value; }
        }
        //自动亮度对比度路径
        private string m_AutoBCPath;

        public string AutoBCPath
        {
            get { return this.m_AutoBCPath; }
            set { this.m_AutoBCPath = value; }
        }
        //各个数据以XML形式保存
        #endregion

        //构造函数
        public ResultFile()
        {
            Init();
        }

        void Init()
        {
        }

        #region 操作
        //保存
        #endregion
    }
}
